import type { FeedContributor, FeedInitOptions, FeedItemOption } from "../shared/index.js";
export declare class Feed {
    options: FeedInitOptions;
    items: FeedItemOption[];
    categories: Set<string>;
    private _contributorKeys;
    contributors: FeedContributor[];
    constructor(options: FeedInitOptions);
    /**
     * Add a feed item
     */
    addItem: (item: FeedItemOption) => void;
    /**
     * Add a category
     */
    addCategory: (category: string) => void;
    /**
     * Add a contributor
     */
    addContributor: (contributor: FeedContributor) => void;
    /**
     * Returns a Atom 1.0 feed
     */
    atom: () => string;
    /**
     * Returns a RSS 2.0 feed
     */
    rss: () => string;
    /**
     * Returns a JSON 1.1 feed
     */
    json: () => string;
}
