import type { App, Page } from "@vuepress/core";
import type { GitData } from "@vuepress/plugin-git";
import type { Feed } from "./feed.js";
import type { FeedAuthor, FeedCategory, FeedContributor, FeedEnclosure, FeedItemOption, FeedOptions, FeedPluginFrontmatter } from "../shared/index.js";
export declare class FeedPage {
    private app;
    private options;
    private page;
    private feed;
    private pageFeedOptions;
    private frontmatter;
    private base;
    private getter;
    constructor(app: App, options: FeedOptions, page: Page<{
        git?: GitData;
    }, FeedPluginFrontmatter>, feed: Feed);
    get title(): string;
    /** real url */
    get link(): string;
    get description(): string | null;
    get author(): FeedAuthor[];
    get category(): FeedCategory[] | null;
    get enclosure(): FeedEnclosure | null;
    get guid(): string;
    get pubDate(): Date | null;
    get lastUpdated(): Date;
    get content(): string;
    get image(): string | null;
    get contributor(): FeedContributor[];
    get copyright(): string | null;
    getFeedItem(): FeedItemOption | null;
}
